package com.muyu.common.core.enums;

import java.lang.reflect.Array;
import java.util.Arrays;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.common.core.enums
 * @Project：cloud-common-core
 * @name：SystemYesNo
 * @Date：2024/7/31 20:07
 */
public enum SystemYesNo {
  YES("Y","是"),
    NO("N","否")
    ;

    private final String code;
  private final String info;

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

    SystemYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * 鉴别Code是否合法
     * @param code
     * @return 如果存在code则返回true,不存在则返回
     */

    public static boolean isCode(String code){

      return  Arrays.stream(values())
                .map(SystemYesNo::getCode)
                .anyMatch(s -> s.equals(code)); //传cou



    }


}
